Page MenuHomePhabricator

Fandom does not support ucuserprefix for API:Usercontribs
Closed, DeclinedPublic

Description

Fandom does not support ucuserprefix for API:Usercontribs which is strange because it was introduced in MW 1.13+ and Fandom has MW 1.19.24

>>> s=pywikibot.Site('uk', 'wowwiki')
>>> s.mw_version
MediaWikiVersion ('1.19.24')
>>> gen = s.usercontribs(userprefix='John', total=1)
>>> x = next(iter(gen))
WARNING: API error ucnouser: The user parameter must be set
Traceback (most recent call last):
  File "<console>", line 1, in <module>
  File "/home/pavel/pywikibot/pywikibot/data/api.py", line 2831, in __iter__
    self.data = self.request.submit()
  File "/home/pavel/pywikibot/pywikibot/data/api.py", line 2096, in submit
    raise APIError(**result['error'])
pywikibot.data.api.APIError: ucnouser: The user parameter must be set

See also https://api.travis-ci.org/v3/job/663162283/log.txt

The following tests are failing due to this issue:

  • tests.site_tests.TestUserContribsWithoutUser testMethod=test_user_prefix
  • tests.site_tests.TestUserContribsWithoutUser testMethod=test_user_prefix_range
  • tests.site_tests.TestUserContribsWithoutUser testMethod=test_user_prefix_reverse

Related Objects

Event Timeline

Xqt created this task.Jan 20 2019, 2:45 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJan 20 2019, 2:45 PM
Xqt triaged this task as High priority.Jan 20 2019, 2:46 PM
Dvorapa renamed this task from wiki does not support ucuserprefix for API:Usercontribs to wikia does not support ucuserprefix for API:Usercontribs.Jan 20 2019, 3:35 PM
This comment was removed by Xqt.

Change 487114 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [tests] Skip site_tests.TestUserContribsWithoutUser for wikia

https://gerrit.wikimedia.org/r/487114

Xqt moved this task from Backlog to Needs Review on the Pywikibot board.Feb 3 2019, 11:22 AM
Framawiki updated the task description. (Show Details)Feb 3 2019, 7:57 PM

Change 487114 merged by jenkins-bot:
[pywikibot/core@master] [tests] Skip site_tests.TestUserContribsWithoutUser for wikia

https://gerrit.wikimedia.org/r/487114

Xqt lowered the priority of this task from High to Low.Feb 3 2019, 8:13 PM
Xqt raised the priority of this task from Low to Medium.
Xqt removed a project: Patch-For-Review.
Xqt moved this task from Priority review needed to Backlog on the Pywikibot board.Feb 7 2019, 3:47 PM

Change 503765 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [families] remove wikia family file

https://gerrit.wikimedia.org/r/503765

Xqt lowered the priority of this task from Medium to Low.Apr 21 2019, 3:43 PM
Xqt removed a project: Patch-For-Review.
Dvorapa renamed this task from wikia does not support ucuserprefix for API:Usercontribs to Fandom does not support ucuserprefix for API:Usercontribs.Mar 19 2020, 12:09 PM
Dvorapa updated the task description. (Show Details)
Xqt closed this task as Declined.Apr 9 2020, 1:26 PM

Fandom is not a real MW 1.19